--- xdddefault.c-orig	2006-05-20 13:39:34.000000000 -0600
+++ xdddefault.c	2007-02-15 16:22:38.000000000 -0700
@@ -332,7 +332,7 @@
   	        }while(find_host_downtime(current_downtime_id)!=NULL);
 
 	/* add downtime to list in memory */
-	add_host_downtime(host_name,entry_time,author,comment,start_time,end_time,fixed,triggered_by,duration,current_downtime_id);
+	add_host_downtime(host_name,entry_time,author,comment,start_time,end_time,fixed,triggered_by,duration,current_downtime_id,FALSE);
 
 	/* update downtime file */
 	xdddefault_save_downtime_data();
@@ -357,7 +357,7 @@
   	        }while(find_service_downtime(current_downtime_id)!=NULL);
 
 	/* add downtime to list in memory */
-	add_service_downtime(host_name,service_description,entry_time,author,comment,start_time,end_time,fixed,triggered_by,duration,current_downtime_id);
+	add_service_downtime(host_name,service_description,entry_time,author,comment,start_time,end_time,fixed,triggered_by,duration,current_downtime_id,FALSE);
 
 	/* update downtime file */
 	xdddefault_save_downtime_data();
@@ -572,9 +572,9 @@
 
 				/* add the downtime */
 				if(data_type==XDDDEFAULT_HOST_DATA)
-					add_host_downtime(host_name,entry_time,author,comment,start_time,end_time,fixed,triggered_by,duration,downtime_id);
+					add_host_downtime(host_name,entry_time,author,comment,start_time,end_time,fixed,triggered_by,duration,downtime_id,(start_time >= time(NULL)));
 				else
-					add_service_downtime(host_name,service_description,entry_time,author,comment,start_time,end_time,fixed,triggered_by,duration,downtime_id);
+					add_service_downtime(host_name,service_description,entry_time,author,comment,start_time,end_time,fixed,triggered_by,duration,downtime_id,(start_time >= time(NULL)));
 #ifdef NSCORE
 				/* must register the downtime with Nagios so it can schedule it, add comments, etc. */
 				register_downtime((data_type==XDDDEFAULT_HOST_DATA)?HOST_DOWNTIME:SERVICE_DOWNTIME,downtime_id);
